package org.project.entity.enemies;

import org.project.entity.players.Player;
import org.project.item.weapons.Dagger;
import org.project.item.weapons.Weapon;

public class Skeleton extends Enemy {

    private static final int HP = 100;
    private int deathCounter = 0;

    public Skeleton(){
        Weapon skeletonDagger = new Dagger();
        super(HP,skeletonDagger);
    }

    @Override
    public void specialAbility(Player target) {
        super.attack(target);
    }

    @Override
    public String getName() {
        return "Skeleton";
    }

    @Override
    public void makeDie() {
        if (deathCounter == 0){
            this.setHp(HP / 2);
            deathCounter++;
            return;
        }

        super.makeDie();
    }
}
